<template>
  <ElConfigProvider :locale="zhCn">
    <router-view />
  </ElConfigProvider>
</template>
<script setup lang="ts">
import { ElConfigProvider } from "element-plus";
import { zhCn } from "element-plus/es/locale/index";
import { provide } from "vue";

const VITE_APP_TITLE =
  "太原市互联网应急指挥和举报中心(太原市互联网宣传研究中心)"; // 标题
const VITE_ADDRESS = "山西省太原市杏花岭区新建路 78 号新闻大厦 8 层"; // 地址
const VITE_EMAIL = "tyhlwjbzx@163.com"; // 举报邮箱
const VITE_PHONE = "0351-8222236"; // 举报电话
const VITE_FAX = "0351-8222234"; // 举报传真
const VITE_12377_URL = "https://www.12377.cn/"; // 中央网信办举报中心官网违法和不良信息举报入口
const VITE_SXGOV_URL = "https://www.sxgov.cn/node_280205.htm"; // 山西省互联网应急指挥和举报中心举报入口
//太原市互联网违法和不良信息举报平台
const VITE_TY_SXGOV_URL =
  "http://oa.wangxinban.cn/jb/#/Home/Home?agencyID=52340bbb-f782-4886-02c4-08d9605acd8c&agencyName=太原市网信";

// 使用provide提供数据
provide("VITE_APP_TITLE", VITE_APP_TITLE);
provide("VITE_ADDRESS", VITE_ADDRESS);
provide("VITE_EMAIL", VITE_EMAIL);
provide("VITE_PHONE", VITE_PHONE);
provide("VITE_FAX", VITE_FAX);
provide("VITE_12377_URL", VITE_12377_URL);
provide("VITE_SXGOV_URL", VITE_SXGOV_URL);
</script>
